== 2.6.10 - 18/03/2026 ==
Added: Shared diagnostic log bootstrap and protected admin viewer via core helpers.
Fixed: Event log directory/file is now prepared in advance and reports path or permission problems directly in addon settings.
Changed: Removed direct public log-file links under `/wp-content`, reducing false 404s caused by cache, rewrite rules or WAF policies.

== 2.6.9 - 11/02/2026 ==
Change: document date now always uses emission time (now); od_date uses operation date for invoices or linked document date for credit notes; invoice_date for credit notes uses the linked invoice date.
Removed: hook 'wfc-create-invoice_datetime-invoice' to prevent external overrides on od_date.

== 2.6.8 - 28/10/2024 ==
Fixed: sendInvoice order check
Update: change domain woopop.it to wp-pop.com

== 2.6.7 - 06/08/2024 ==
Addedd: filter hook 'wfc-create-invoice_datetime-invoice'
Fixed: varius minor fix

== 2.6.6 - 24/05/2024 ==
Added: filter "wfc-create-invoice_job_filter"

== 2.6.5 - 15/05/2024 ==
Added: support for scalapay gateway (MP08)

== 2.6.4 - 10/05/2024 ==
Added: filter wfc-create-invoice_exclude_payment_method_code for exclude send
Fixed: filter in filtersFront.php

== 2.6.3 - 16/04/2024 ==
Added: filter wfc-invoice-items_list_description add $prodID param

== 2.6.2 - 02/04/2024 ==
Fixed: credit note actions
Fixed: credit note errors
Update: language

== 2.6.1 - 06/03/2024 ==
Fixed: get_customer_note strip tags
Fixed: CreateClientRequest and CreateIssuedDocumentRequest company cf condition

== 2.6.0 - 28/02/2024 ==
Fixed: address_extra data Check if billing is equal shipping
Added: wfc_invoice_shipping_address option

== 2.5.9 - 23/02/2024 ==
Update: fattureincloud php sdk v2.0.24
Update: guzzle v7.8.1

== 2.5.8 - 16/02/2024 ==
Added: Document data and actions to WC order billing_address column
Fixed: translation string
Fixed: PHP Deprecated end() and reset()
Fixed: add order id in email body > sendEmailToAdminForInvoiceCreateError

== 2.5.7 - 29/01/2024 ==
Fixed: address_extra add (cap, city, state and country)

== 2.5.6 - 16/01/2024 ==
Added: Check scheduled running
Added: extra log for debug

== 2.5.5 - 07/12/2023 ==
Added: WP_FATT_CLOUD_DELETE_DATA_WHEN_DEACTIVATE constant for not remove authentication data on plugin disactivation
Added: extra metadata checks in the invoice creation flow
Added: address_extra data (shipping address)
Added: notes checkout data (optional)
Fixed: add wp_clear_scheduled_hook if change status from completed to pending or other
Fixed: description if product not exist

== 2.5.4 - 01/12/2023 ==
Added: "wfc-invoice-items_list-product_category" filter for set category

== 2.5.3 - 26/11/2023 ==
Added: vat_kind option
Added: vat_kind param and filter 'wfc-invoice_body_ei_data_vat_kind' default null
Added: ei_data (bank_iban, bank_name, bank_beneficiary)

== 2.5.2 - 14/11/2023 ==
Fixed: createInvoice code optimization
Added: wp_remote_fopen query args "addon" and version "v"
Added: support for "ppcp-credit-card-gateway" payment method
Added: support for "18app" payment method (WooCommerce 18app)
Added: support for "docente" payment method (WooCommerce Carta Docente)

== 2.5.1 - 06/11/2023 ==
Added: new control is XML and add errors on sendEmailToAdminForInvoiceCreateError
Update: language file

== 2.5.0 - 17/10/2023 ==
Added: Support for High-Performance Order Storage
Fixed: reference get_post_meta, update_post_meta and delete_post_meta

== 2.4.2 - 16/10/2023 ==
Added: support ScontoMaggiorazione xml tag

== 2.4.1 - 05/10/2023 ==
Fixed: error for empty rc_center

== 2.4.0 - 03/10/2023 ==
Added: Revenue center field
Fixed: Admin actions style

== 2.3.9 - 28/09/2023 ==
Fixed: CreateClientRequest conditions for create or update
Fixed: button text for upload document (invoice or credit note)

== 2.3.8 - 27/09/2023 ==
Fixed: Define country - string or iso code for data entity
Fixed: normalizeFicCountry add case "BE" = Belgio
Fixed: message "invoice sent to the SDI" visibility condition
Added: see document on FIC link
Added: sending email to the administrator in case of failure to create the invoice.
Added: "wfc-invoice_body_data_rc_center" filter hook for filter invoice data (default empty).
Added: "wfc-invoice_body_data_notes" filter hook for filter invoice data (default empty).
Added: "wfc-invoice_body_data_rivalsa" filter hook for filter invoice data (default empty).
Added: "wfc-invoice_body_data_cassa" filter hook for filter invoice data (default empty).
Added: "wfc-invoice_body_data_cassa_taxable" filter hook for filter invoice data (default empty).
Added: refreshOAuthToken on verifyEInvoice and sendInvoice

== 2.3.7 - 11/09/2023 ==
Fixed: undefined index customer_id on importAction
Added: wp_clear_scheduled_hook "twiceDailyWooPoPToFattureInCloudJobsScheduledUpload" if not active

== 2.3.6 - 07/09/2023 ==
Fixed: entity first_name in create client
Added: "wfc-disabled_data_date_document" hook for disable $body['data']['date']

== 2.3.5 - 06/09/2023 ==
Fixed: entity first_name data (override variable)

== 2.3.4 - 02/09/2023 ==
Added: notification message for receipt uploaded
Added: notification message for customer record created
Added: notification message for error exception upload

== 2.3.3 - 27/08/2023 ==
Added: Send PDF Pro Forma after send invoice to the SDI
Added: notification message for send or not sent Pro Forma and invoice

== 2.3.2 - 24/08/2023 ==
Fixed: data numeration param: if there is no prefix, set it to empty

== 2.3.1 - 19/08/2023 ==
Added: support for WooCommerce 8.x.x
Fixed: change transient whit option, for fix issue when object cache is in use
Fixed: undefined GuzzleHttp\json_decode

== 2.3.0 - 22/07/2023 ==
Added: issued_documents.orders scope for create Order document on Fatture in Cloud
Added: oAuth permission for order "issued_documents.orders"
Added: support for WooCommerce 7.9.x
Update: getDocType for define document type "order"
Update: language file

== 2.2.1 - 13/07/2023 ==
Added: filter hook 'wfc-document_type'
Added: option for automatic sending of invoices for completed orders not sent in the last 7 days. (work 2 times a day)

== 2.2.0 - 20/06/2023 ==
Update: fattureincloud php sdk v2.0.21
Update: guzzle v7.7

== 2.1.2 - 20/06/2023 ==
Improved: Disable invoice number increase, activate the sending or not of the invoice with zero total.

== 2.1.1 - 17/06/2023 ==
Added: filter hook 'wfc-create-invoice_send_invoice_zero' for allowed send invoice with zero total

== 2.1.0 - 19/05/2023 ==
Added: Get Pay method ID and Name from "wfc_mapping_gateways__{ORDER_ID}"
Added: settingsMappingGateway functionality
Added: support for WordPress 6.2.x
Added: support for WooCommerce 7.7.x
Fixed: admin style
Update: language files

== 2.0.6 - 03/05/2023 ==
Fixed: request listClients query (vat_number or tax_code)

== 2.0.5 - 28/04/2023 ==
Update: create client - create data also for unregistered users
Added: visible_subject param to invoice data

== 2.0.4 - 20/05/2023 ==
Fixed: add data entity id for connect the customer to invoice
Fixed: add billing email to customer data

== 2.0.3 - 05/04/2023 ==
Fixed: Set data paid on refund (use date created)

== 2.0.2 - 30/03/2023 ==
Fixed: ApiException message error
Fixed: modal error message
Added: support payment method stripe_cc

== 2.0.1 - 28/03/2023 ==
Added: condition for gift product nature N2.2

== 2.0.0 - 01/03/2023 ==
Fixed: CreateClientRequest type param
Update: language

== 1.9.9 - 23/02/2023 ==
Added: slack message in function log
Update: language

== 1.9.8 - 17/02/2023 ==
Added: createInvoice API - fallback function getXmlFromOrder() for get XML from order

== 1.9.7 - 13/02/2023 ==
Fixed: invoice number before creating the invoice

== 1.9.6 - 08/02/2023 ==
Added: syncEInvoice (sync FIC invoice number)
Fixed: css style

== 1.9.5 - 02/02/2023 ==
Added: filter hook 'wfc-prefix_numeration_param_sanitize', 'wfc-invoice_stamp_duty_line_name', 'wfc-invoice_shipping_line_name'
Added: message when creating the credit note (credit notes cannot be created from a receipt)

== 1.9.4 - 30/01/2023 ==
Fixed: get_date_paid for paid_date and due_date param
Fixed: css style

== 1.9.3 - 25/01/2023 ==
Fixed: stock permission

== 1.9.2 - 21/01/2023 ==
Added: Read and Write stock permission

== 1.9.1 - 19/01/2023 ==
Added: Check updates plugin link
Fixed: clear transient for update plugin

== 1.9.0 - 18/01/2023 ==
Fixed: undefined \WcElectronInvoice\Functions\filterInput

== 1.8.9 - 12/01/2023 ==
Fixed: support for updates plugins
Fixed: clear woopop transient on plugin deactivate

== 1.8.8 - 11/01/2023 ==
Added: support for updates plugins
Added: support for RF11 (nature N5)

== 1.8.7 - 02/01/2023 ==
Fixed: Enable automatic sending (completed order only)

== 1.8.6 - 29/12/2022 ==
Fixed: condition for add stamp duty

== 1.8.5 - 22/12/2022 ==
Fixed: setDefaultPaymentMethods and setDefaultPaymentAccounts on chance company

== 1.8.4 - 17/12/2022 ==
Fixed: Exception when calling createClient
Fixed: numeration prefix for invoice, receipt and credit note

== 1.8.3 - 16/12/2022 ==
Added: N4 vat type getN4RefNormative WooPOP option

== 1.8.2 - 14/12/2022 ==
Fixed: N4 vat type id
Added: filter hook 'wfc-vat_type_N4_fic_id' for vat type N4 id
Added: filter hook 'wfc-vat_types_fic_id'

== 1.8.1 - 10/12/2022 ==
Added: filter hook 'wfc-create_document_body'

== 1.8.0 - 01/12/2022 ==
Added: support for extend api request (create and delete)
Added: filter hook 'wfc-oauth_flow_after_defined_access_permission'
Update: fattureincloud-php-sdk v2.0.17

== 1.7.8 - 24/11/2022 ==
Fixed: script permissionStock undefined

== 1.7.7 - 23/11/2022 ==
Improved: filter hook 'wfc-invoice-items_list-product_id'
Added: Stamp duty charged to the customer
Added: stamp_duty param

== 1.7.6 - 04/11/2022 ==
Fixed: numeration
Fixed: wfc_scheduled_events_time

== 1.7.5 - 29/10/2022 ==
Fixed: Credit note, linked invoice number

== 1.7.4 - 26/10/2022 ==
Added: support for WooCommerce 7.x.x
Added: support for WordPress 6.1.x

== 1.7.3 - 20/10/2022 ==
Fixed: wcOrderClassName class name check

== 1.7.2 - 13/09/2022 ==
Added: token automatically updated also for invoice manual creation.
Added: support for WooCommerce 6.9.x

== 1.7.1 - 02/09/2022 ==
Fixed: not sent order zero total

== 1.7.0 - 31/08/2022 ==
Added: Added API request for creating / updating customer data during the creation of the document (invoice / receipt).
Added: Added entity.clients:a scope optional
Added: subject param to invoice data
Update: fattureincloud/fattureincloud-php-sdk vendor v2.0.15

== 1.6.2 - 11/08/2022 ==
Improved: filter hook "wfc-disabled_auto_send_invoice" for disabled automatic send invoice to SDI
Added: Disables the automatic sending of invoices to the SDI
Added: support for WooCommerce 6.8.x

== 1.6.1 - 02/08/2022 ==
Added: specific message error for payment method name
Added: getPaymentMethodCodeByMethod support woocommerce_payments

== 1.6.0 - 18/07/2022 ==
Fixed: various style
Added: support for WooCommerce 6.7.x
Added: New section for plugin manager
Added: OAuth2 Device code flow
Added: fix_payments param for create invoice request

== 1.5.7 - 06/07/2022 ==
Fixed: given support to the VAT rates and to all the nature references present on Fic.

== 1.5.6 - 05/07/2022 ==
Fixed: VatTypes data (vat value and ei_type)

== 1.5.5 - 30/06/2022 ==
Fixed: ei_type (Narura)
Added: filter "wfc-invoice_document-ei_type"

== 1.5.4 - 29/06/2022 ==
Fixed: document date based on the completed order date

== 1.5.3 - 28/06/2022 ==
Fixed: normalize country string for Fic country field

== 1.5.2 - 24/06/2022 ==
Fixed: Payment account settings

== 1.5.1 - 15/06/2022 ==
Added: control of metadata, doc id and invoice sending
Added: support for WooCommerce 6.6.x

== 1.5.0 - 10/06/2022 ==
Fixed: style
Fixed: filter_input, filter_var FILTER_SANITIZE_STRING filter support for PHP >= 8.1
Added: support for WordPress 6.0.x
Added: support for WooCommerce 6.5.x
Added: mapping payment account whit payment method

== 1.4.0 - 08/06/2022 ==
Fixed: minor Fixed css
Fixed: remove reset and update user and company data
Fixed: create invoice or receipt based on _billing_choice_type value
Fixed: cron event for invoice or receipt creation

== 1.3.0 - 02/06/2022 ==
Added: added "scopes" options in the oauth request

== 1.2.0 - 01/06/2022 ==
Fixed: settings for payment account
Added: receipts scopes
Added: get company info permissions
Added: create receipt

== 1.1.4 - 30/05/2022 ==
Fixed: minor fis css style
Update: lang file

== 1.1.3 - 23/05/2022 ==
Fixed: filter_input, filter_var filter for PHP >= 8.1
Fixed: oAuthExchange responseToken body data
Added: timezone class

== 1.1.2 - 21/05/2022 ==
Fixed: date invoice

== 1.1.1 - 11/05/2022 ==
Fixed: sendInvoice request
Added: support for WooCommerce 6.5.x

== 1.1.0 - 07/05/2022 ==
Added: active verify and send invoice API

== 1.0.1 - 03/05/2022 ==
Fixed: WooPoPToFattureInCloud\\Jobs::autoCompleted number arguments
Added: log in API responses
Added: od_date parameter to the parameters for the invoice creation API request

== 1.0.0 - 05/02/2022 ==
Initial release - beta version
